Add SSID to Device Wifi Configuration
PUT https://www.expedy.fr/api/v2/devices/{device_uid}/wifi/add
This endpoint allows you to add a new SSID to the device's wifi configuration.
Authentication
This endpoint requires an Authorization header with a valid API key.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
device_uid |
string |
Yes | The Device's unique id, as found in your Expedy account |
Request Body
Content-Type: application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
wifi_ssid |
string |
No | (ex: my_new_local_ssid) |
wifi_psk |
string |
No |
Request Example:
{
"wifi_ssid": "my_new_local_ssid",
"wifi_psk": "my_new_ssid_password"
}
Response 200
OK
| Parameter | Type | Required | Description |
|---|---|---|---|
last_ping |
integer |
No | (ex: 1641509604) |
wifi_conf |
array |
No |
wifi_conf properties:
| Parameter | Type | Required | Description |
|---|---|---|---|
wifi_id |
integer |
No | (ex: 40) |
wifi_ssid |
string |
No | |
wifi_psk |
string |
No |
Response Example:
{
"status": "ok",
"last_ping": 1641491009,
"wifi_conf": [
{
"wifi_id": 40,
"wifi_ssid": "my_local_ssid",
"wifi_psk": "***********************"
},
{
"wifi_id": 41,
"wifi_ssid": "my_new_local_ssid",
"wifi_psk": "***********************"
}
]
}